#include <iostream>

using namespace std;
int brojdelilaca(int x){
int brd;
for(int i=1;i<x;i++){
if(x%i==0)brd++;
return brd;
}

}
int main()
{
 ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int t;long long m,n,k;
cin>>t;
while(t!=0){
    cin>>n>>m>>k;
    t--;
    if(k>n) cout<<"Nie"<<'\n';
    else{
        if(m%n!=0)cout<<"Nie"<<'\n';
        else {
                if(brojdelilaca(m)>n)cout<<"Tak"<<'\n';
                    else cout<<"Nie"<<'\n';
        }
    }
}

    return 0;
}